com.hazelcast.core

## Class EntryEvent<K,V>

- java.lang.Object
- - java.util.EventObject
  - - com.hazelcast.core.AbstractIMapEvent
    - - com.hazelcast.core.EntryEvent<K,V>

- Type Parameters:
    `K` - key of the map entry
    `V` - value of the map entry
  All Implemented Interfaces:
    IMapEvent, Serializable

      public class EntryEvent<K,V>
      extends AbstractIMapEvent

  Map Entry event.
  See Also:
    `EntryListener`, `MapListener`, `IMap.addEntryListener(com.hazelcast.map.listener.MapListener, boolean)`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected K` | `key`
    `protected V` | `mergingValue`
    `protected V` | `oldValue`
    `protected V` | `value`

    - ### Fields inherited from class com.hazelcast.core.AbstractIMapEvent

      `name`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntryEvent(Object source, Member member, int eventType, K key, V value)` Constructs an entry event.
    `EntryEvent(Object source, Member member, int eventType, K key, V oldValue, V value)` Constructs an entry event.
    `EntryEvent(Object source, Member member, int eventType, K key, V oldValue, V value, V mergingValue)` Constructs an entry event.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `K` | `getKey()` Returns the key of the entry event.
    `V` | `getMergingValue()` Returns the incoming merging value of the entry event.
    `V` | `getOldValue()` Returns the old value of the entry event.
    `V` | `getValue()` Returns the value of the entry event.
    `String` | `toString()` Returns a String representation of this event.

    - ### Methods inherited from class com.hazelcast.core.AbstractIMapEvent

      `getEventType, getMember, getName, getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### key

          protected K key

    - #### oldValue

          protected V oldValue

    - #### value

          protected V value

    - #### mergingValue

          protected V mergingValue

  - ### Constructor Detail

    - #### EntryEvent

          public EntryEvent(Object source,
                            Member member,
                            int eventType,
                            K key,
                            V value)

      Constructs an entry event.
      Parameters:
        `source` - The object on which the event initially occurred
        `member` - The interface to the cluster member (node)
        `eventType` - The event type as an enum `EntryEventType` integer
        `key` - The key for this entry event
        `value` - The value of the entry event
      Throws:
        `IllegalArgumentException` - if source is `null`

    - #### EntryEvent

          public EntryEvent(Object source,
                            Member member,
                            int eventType,
                            K key,
                            V oldValue,
                            V value)

      Constructs an entry event.
      Parameters:
        `source` - The object on which the Event initially occurred
        `member` - The interface to the cluster member (node)
        `eventType` - The event type as an enum `EntryEventType` integer
        `key` - The key of this entry event
        `oldValue` - The old value of the entry event
        `value` - The value of the entry event
      Throws:
        `IllegalArgumentException` - if source is `null`

    - #### EntryEvent

          public EntryEvent(Object source,
                            Member member,
                            int eventType,
                            K key,
                            V oldValue,
                            V value,
                            V mergingValue)

      Constructs an entry event.
      Parameters:
        `source` - The object on which the Event initially occurred
        `member` - The interface to the cluster member (node)
        `eventType` - The event type as an enum `EntryEventType` integer
        `key` - The key of this entry event
        `oldValue` - The old value of the entry event
        `value` - The value of the entry event
        `mergingValue` - The incoming merging value of the entry event
      Throws:
        `IllegalArgumentException` - if source is `null`

  - ### Method Detail

    - #### getKey

          public K getKey()

      Returns the key of the entry event.
      Returns:
        the key of the entry event

    - #### getOldValue

          public V getOldValue()

      Returns the old value of the entry event.
      Returns:
        the old value of the entry event

    - #### getValue

          public V getValue()

      Returns the value of the entry event.
      Returns:
        the value of the entry event

    - #### getMergingValue

          public V getMergingValue()

      Returns the incoming merging value of the entry event.
      Returns:
        the merging value

    - #### toString

          public String toString()

      Description copied from class: `AbstractIMapEvent`
      Returns a String representation of this event.
      Overrides:
        `toString` in class `AbstractIMapEvent`
      Returns:
        A String representation of this event.

Copyright © 2020. All rights reserved.